Attribute VB_Name = "Module1"
'*************************************************************************
'*                                                                       *
'*                         Copyright QuadTech 2004                       *
'*                  Proprietary Information of QuadTech, Inc.
'*
'*  12/2007 bb modified to add sweep controls
'*
'*************************************************************************
Option Explicit
Public bLock As Boolean
Public strFileName As String
Public bPace As Boolean
Public strFilePath As String
Public strBuffer As String
Public strCompany As String
Public strUnit As String
Public strSerno As String
Public strVerno As String
Public intP As Integer
Public intN As Integer
Public sVerno As Single
Public intNT As Integer
Public intScan As Integer
Public strSerror As String
Public strR As String
Public strS1 As String
Public strS2 As String
Public strT As String
Public strS3 As String
Dim intI As Integer
Public intTflag As Integer
Public intCTerr As Integer

Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

' Get *idn? from 1900 series and parse string

Sub Idn()
    Dim intA As Integer
    Form1.MSComm1.Output = vbCr
    Form1.MSComm1.Output = "*IDN?" & vbCr
  Call GetData
  If intCTerr = True Then Exit Sub
  strBuffer = strR
'parse the IDN response
    intP = CInt(InStr(1, strBuffer, ",", vbTextCompare))
    strCompany = Left(strBuffer, intP - 1)
    intN = intP + 1
    intP = CInt(InStr(intN, strBuffer, ",", vbTextCompare))
    strUnit = Mid(strBuffer, intN + 1, intP - intN - 1)
    intN = intP + 1
    intP = CInt(InStr(intN, strBuffer, ",", vbTextCompare))
    strSerno = Mid(strBuffer, intN + 1, intP - intN - 1)
    intN = intP + 1
    strVerno = Mid(strBuffer, intP + 2, Len(strBuffer) - intP - 1)
    For intA = 1 To Len(strVerno)
        If Not IsNumeric(Mid(strVerno, intA, 1)) _
            And Mid(strVerno, intA, 1) <> "." Then
            strVerno = Left(strVerno, intA - 1)
            intA = 99
        End If
    Next intA
    sVerno = CSng(strVerno)
End Sub


Sub GetData()
        Dim intFlag As Integer
        Dim bFg As Boolean
        Dim dTim As Double
        Dim strRes As String
        strR = ""
        dTim = Timer
        Do
        DoEvents
        strR = strR & Form1.MSComm1.Input
        Loop Until InStr(strR, vbLf) Or (Timer - dTim > 10)
        intCTerr = False
        Rem check for valid response
        If Len(strR) = 0 Then
        strRes = MsgBox("1900 not responding" & Chr(13) _
        & "Make sure 1900 is turned on and RS232 cable is connected" & Chr(13) _
        & "Make sure 1900 is not in program or utilities menu" & Chr(13) _
        & "In Utilities check Baud Rate and set Trigger Source to External", vbOKCancel)
            If strRes = vbCancel Then
                Close #1
                On Error Resume Next
                Form1.MSComm1.PortOpen = False
                Unload Form1
                End
            End If
            intCTerr = True
        
        End If
        
End Sub


Sub GetMData()
        Dim intFlag As Integer
        Dim bFg As Boolean
        Dim dTim As Double
        Dim dTim1 As Double
        Dim strRes As String
        Dim iTC As Integer
        Dim iTP As Integer
        strR = ""
        dTim = Timer
        iTP = 1
        iTC = 1
        bFg = False
        
        Do
        DoEvents
        strR = strR & Form1.MSComm1.Input
        Loop Until Len(strR) > 0 Or (Timer - dTim > 10)
        dTim1 = Timer
        Do
        Loop Until (Timer - dTim1) > 0.2
        
        Do
        DoEvents
        strR = strR & Form1.MSComm1.Input
        Loop Until InStr(iTP, strR, vbLf) Or (Timer - dTim > 10)
        intCTerr = False
        Rem check for valid response
        If Len(strR) = 0 Then
        strRes = MsgBox("1900 not responding", vbOKCancel)
            If strRes = vbCancel Then
                Close #1
                On Error Resume Next
                Form1.MSComm1.PortOpen = False
                Unload Form1
                End
            End If
            intCTerr = True
        
        End If
End Sub

