VERSION 5.00
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "MSCOMM32.OCX"
Begin VB.Form Form1 
   BackColor       =   &H00C0C0C0&
   Caption         =   "QuadTech 7600 Virtual Front Panel Wizard V1.0"
   ClientHeight    =   2190
   ClientLeft      =   1890
   ClientTop       =   1755
   ClientWidth     =   5505
   Icon            =   "q7600.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2190
   ScaleWidth      =   5505
   StartUpPosition =   2  'CenterScreen
   Begin VB.ComboBox port 
      BackColor       =   &H00C0C0C0&
      Height          =   315
      ItemData        =   "q7600.frx":030A
      Left            =   1920
      List            =   "q7600.frx":0314
      TabIndex        =   5
      Text            =   "Combo1"
      Top             =   210
      Width           =   615
   End
   Begin VB.ComboBox baud 
      BackColor       =   &H00C0C0C0&
      Height          =   315
      ItemData        =   "q7600.frx":031E
      Left            =   3525
      List            =   "q7600.frx":0328
      TabIndex        =   4
      Text            =   "Combo1"
      Top             =   210
      Width           =   855
   End
   Begin VB.CommandButton Measure 
      Caption         =   "Finished"
      Height          =   495
      Left            =   705
      TabIndex        =   3
      ToolTipText     =   "Displays measurement Data"
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Exit"
      Height          =   495
      Left            =   3705
      TabIndex        =   0
      ToolTipText     =   "Exits program"
      Top             =   720
      Width           =   1095
   End
   Begin MSCommLib.MSComm MSComm1 
      Left            =   2520
      Top             =   720
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      DTREnable       =   0   'False
      NullDiscard     =   -1  'True
      OutBufferSize   =   32
      SThreshold      =   1
   End
   Begin VB.Label Version 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Version 1.0"
      Height          =   255
      Left            =   1320
      TabIndex        =   8
      Top             =   1800
      Width           =   2655
   End
   Begin VB.Label Label3 
      BackColor       =   &H00C0C0C0&
      Caption         =   "ComPort : "
      Height          =   255
      Left            =   1005
      TabIndex        =   7
      Top             =   240
      Width           =   735
   End
   Begin VB.Label Label5 
      BackColor       =   &H00C0C0C0&
      Caption         =   "Baud"
      Height          =   255
      Left            =   2845
      TabIndex        =   6
      Top             =   240
      Width           =   495
   End
   Begin VB.Label Label6 
      BackColor       =   &H00C0C0C0&
      Caption         =   "www.quadtech.com  1-800-253-1230"
      Height          =   255
      Left            =   1305
      TabIndex        =   2
      Top             =   1560
      Width           =   2895
   End
   Begin VB.Label Label4 
      BackColor       =   &H00C0C0C0&
      Caption         =   "QuadTech, Inc. 5 Clock Tower Place Maynard, MA 01754"
      Height          =   255
      Left            =   645
      TabIndex        =   1
      Top             =   1320
      Width           =   4215
      WordWrap        =   -1  'True
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Rem  *************************************************************************
Rem  *                                                                       *
Rem  *                         Copyright QuadTech 2004                       *
Rem  *                  Proprietary Information of QuadTech, Inc.            *
Rem  *                                                                       *
Rem  *************************************************************************
Option Explicit




Private Sub Comm_Click()
    Call Idn
End Sub


Private Sub Command3_Click()
    On Error Resume Next
    
    If MSComm1.PortOpen = True Then
        MSComm1.PortOpen = False
    End If
        
    Close #1
    Unload Configure
    Unload frmMeasure
    Unload Form1
End Sub

Private Sub Form_Load()
    On Error Resume Next
    MSComm1.PortOpen = False
    MSComm1.PortOpen = True
    port.ListIndex = 0
    baud.ListIndex = 0
    
    
    bPace = False
    Command3.Enabled = True
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Call Command3_Click
End Sub

Private Sub Measure_Click()
    On Error GoTo Error_Exit
    
    If MSComm1.PortOpen <> True Then
        MsgBox "ComPort Already Open", vbExclamation, "7600"
        Exit Sub
    End If
    
    Select Case port.Text
        Case "1"
            MSComm1.PortOpen = False
            If Err Then
                Err = 0
            End If
            MSComm1.CommPort = 1
            MSComm1.PortOpen = True
            If Err Then
                MsgBox "Comm port 1 not available"
            End If
        Case Else
            MSComm1.PortOpen = False
            If Err Then
                Err = 0
            End If
            MSComm1.CommPort = 2
            MSComm1.PortOpen = True
            If Err Then
                MsgBox "Comm port 2 not available"
            End If
    End Select

    If baud.Text = "19200" Then
        MSComm1.PortOpen = False
        If Err Then
            Err = 0
        End If
        MSComm1.Settings = 19200
        MSComm1.PortOpen = True
        bPace = True
    Else
        MSComm1.PortOpen = False
        If Err Then
            Err = 0
        End If
        MSComm1.Settings = 9600
        MSComm1.PortOpen = True
        bPace = False
    End If

    Form1.Visible = False
    frmMeasure.Show
    
    Form1.MSComm1.RThreshold = 1
    Form1.MSComm1.SThreshold = 1
    Form1.MSComm1.DTREnable = True
    Form1.MSComm1.RTSEnable = True
    Form1.MSComm1.InBufferCount = 0
    Form1.MSComm1.Output = "conf:disp m" & vbLf
    Form1.MSComm1.Output = "conf:fres sci" & vbLf

    frmMeasure.Show
   
    Exit Sub
    
Error_Exit:
    MsgBox "Error occurred: " & Err.Description, vbExclamation, "Form1 -> Measure_Click"

End Sub

